Bug 153048 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-nfs (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 23:14 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 12:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the warnings (14.84 KB, patch)
2005-03-31 23:34 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 23:14:57 EST
Description of problem:

/usr/share/system-config-nfs/mainWindow.py:127: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.propertiesButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/mainWindow.py:128: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.deleteButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:83: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.forceSyncCheckButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:113: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.uidEntry.set_sensitive(state)
/usr/share/system-config-nfs/propertiesWindow.py:114: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.gidEntry.set_sensitive(state)
/usr/share/system-config-nfs/propertiesWindow.py:303: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.syncCheckButton.set_active(gtk.TRUE)
/usr/share/system-config-nfs/mainWindow.py:245: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.propertiesButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/mainWindow.py:246: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.deleteButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/mainWindow.py:247: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.propertiesMenu.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/mainWindow.py:248: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.deleteMenu.set_sensitive(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:377: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.readRadio.set_active(gtk.TRUE)
/usr/share/system-config-nfs/propertiesWindow.py:379: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.inSecureCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:380: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.insecureLockCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:381: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.subtreeCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:382: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.syncCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:383: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.forceSyncCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:384: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.hideCheckButton.set_active (gtk.TRUE)
/usr/share/system-config-nfs/propertiesWindow.py:385: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.mpCheckButton.set_active (gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:389: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.noRootSquashCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-nfs/propertiesWindow.py:390: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.userSquashCheckButton.set_active(gtk.FALSE)


Version-Release number of selected component (if applicable):

1.3.5-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-03-31 23:34:34 EST
Created attachment 112557 [details]
patch to fix the warnings
Comment 2 Colin Charles 2005-03-31 23:36:21 EST
Harald, patch in comment #1 is against current cvs and fixes all the warnings.
Please apply and rebuild.
Comment 3 Harald Hoyer 2005-04-01 05:20:58 EST
I do not own that
Comment 4 Nils Philippsen 2005-04-01 12:11:31 EST
Fixed in system-config-nfs-1.3.6-1, thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.